package com.yd.dal.mapper.customer;

import java.util.List;

import com.yd.dal.entity.customer.AclCustomerSystemLog;

public interface AclCustomerSystemLogMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclCustomerSystemLog record);

    int insertSelective(AclCustomerSystemLog record);

    AclCustomerSystemLog selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclCustomerSystemLog record);

    int updateByPrimaryKey(AclCustomerSystemLog record);
    
    List<AclCustomerSystemLog> findCustomerSystemLog(AclCustomerSystemLog aclCustomerSystemLog);
    
    int updateEndTimeByPrimaryKey(Long id);
    
}